/*
* Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/
/*
 * CEngSettingsObserver.cpp
 *
 *  Created on: Jun 17, 2010
 *      Author: lachamar
 */

#include "cengsettingsobserver.h"



CEngSettingsObserver*  CEngSettingsObserver::NewLC()
    {
    CEngSettingsObserver* self = new (ELeave)CEngSettingsObserver();
    CleanupStack::PushL(self);
    self->ConstructL();
    CleanupStack::Pop();
    return self;
    }


CEngSettingsObserver::CEngSettingsObserver()
    {
    
    }

CEngSettingsObserver::~CEngSettingsObserver()
    {
    
    }


void CEngSettingsObserver::ConstructL()
    {
    
    }

void CEngSettingsObserver::PowerStateChanged( TBTPowerStateValue aState )
    {
    
    }

void CEngSettingsObserver::VisibilityModeChanged( TBTVisibilityMode aState )
    {
    
    }

